class Book:
    def __init__(self, title, author, year):
        self.title = title
        self.author = author
        self.year = year

    def __str__(self):
        return self.title

    def __repr__(self):
        return str()

class Library:
    def __init__(self):
        self.books = []
        self.borrow_books = []
        
# Ajouter les méthodes ici
    def add_book(self, book):
        """add book to library"""
        self.books.append(book)

    def remove_book(self, book_title):
        """remove book from library"""
        for i in self.books:
            if i.title == book_title:
                self.books.remove(i)
            
    def borrow_book(self, book_title):
        """borrow a book from library"""
        for i in self.books:
            if i.title == book_title:
                self.books.remove(i)
                self.borrow_books.append(i)

    def return_book(self, book_title):
        for i in self.borrow_books:
            if i.title == book_title:
                self.borrow_books.remove(i)
                self.books.append(i)

    def available_books(self):
        book_list = []
        for book in self.books:
            book_list.append(book.title)
        return book_list

    def borrowed_books(self):
        book_list = []
        for book in self.borrow_books:
            book_list.append(book.title)
        return book_list




bib = Library()
book1 = Book("Croc blanc", "Jack London", 1889)
book2 = Book("CRP", "Kant", 1781)

bib.add_book(book1)
bib.add_book(book2)

print(bib.available_books())

bib.borrow_book("CRP")

print(bib.available_books())
print(bib.borrowed_books())
