## Écrivez votre code ici !
class BankAccount:
    """A bank account"""
    def __init__(self, account_holder, balance):
        self.account_holder = account_holder
        self.balance = balance

    def deposit(self, amount):
        """Add money on bank account"""
        if amount < 0:
            print("Le crédit doit être positif")
        else:
            self.balance += amount
            return self.balance

    def withdraw(self, amount):
        """take money from bank account"""
        total = self.balance - amount
        if amount < 0:
            print("Le montant doit être positif")
        else:
            if total < 0:
                print("Le montant disponible est insuffisant")
            else:
                self.balance -= amount
                return self.balance

    def display_balance(self):
        """displays informations"""
        print("Propriétaire du compte :", self.account_holder)
        print("Solde :", self.balance)

